import uinterface, rgb, time, default_icons, urequests

def left(s, amount):
    return s[:amount]

def logo():
    logo = [0xFF0000FF, 0xFF0000FF, 0xFF0000FF, 0x000000FF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x000000FF,0xFF0000FF, 0x000000FF, 0xFF0000FF, 0x000000FF, 0x000000FF, 0x00FFFFFF, 0x000000FF, 0x000000FF, 0xFF0000FF, 0xFF0000FF, 0xFF0000FF, 0x000000FF,0x000000FF, 0x00FFFFFF, 0x000000FF, 0x000000FF, 0xFF0000FF, 0x000000FF, 0xFF0000FF, 0x000000FF, 0x000000FF, 0x00FFFFFF, 0x000000FF, 0x000000FF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0xFF00FFFF, 0xFF00FFFF, 0x000000FF, 0xFF00FFFF, 0xFF00FFFF, 0x00FFFFFF, 0x000000FF, 0x00FFFFFF, 0xFF00FFFF, 0x000000FF, 0xFF00FFFF, 0x000000FF, 0xFF00FFFF, 0x00FFFFFF, 0x000000FF, 0x00FFFFFF, 0xFF00FFFF, 0x000000FF, 0x000000FF, 0x000000FF, 0xFF00FFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0xFF00FFFF, 0x000000FF, 0x000000FF, 0x000000FF, 0xFF00FFFF]
    rgb.clear()
    rgb.image(logo, (0, 0), size=(8,8))

api = 'https://api.binance.com/api/v3/klines?symbol=ATOMUSDT&interval=3m&limit=1'
# [[1612648800000,"0.04453000","0.04453000","0.04453000","0.04453000","212746.90000000",1612648979999,"9473.61945700",7,"91048.20000000","4054.37634600","0"]]
# Data format: [[TS, OPEN, HIGH, LOW, CLOSE, VOL, ...], ...]

rgb.setfont(rgb.FONT_6x3)

rgb.clear()
uinterface.connect_wifi()
data, size, frames = default_icons.animation_loading
rgb.gif(data, (13, 1), size, frames)

while True:
    uinterface.connect_wifi()
    request = urequests.get(api)
    result = request.json()
    last = float(result[0][4])
    open = float(result[0][1])
    percent = ((last-open)/open)*100    
    
    if last > open:
        logo()
        rgb.text(left(str(last),6), (0,255,0),(9,3))
        time.sleep(2)

        logo()
        rgb.text(left("+" + str(percent),5)+"%", (0, 255, 0),(9,3))
        time.sleep(2)

        logo()
        rgb.text(left(str(last),6), (0, 255, 0),(9,3))
    else:
        if last < open:
            logo()
            rgb.text(left(str(last),6), (255,0,0),(9,3))
            time.sleep(2)

            logo()
            rgb.text(left(str(percent),5)+"%", (255, 0, 0),(9,3))
            time.sleep(2)

            logo()
            rgb.text(left(str(last),6), (255, 0, 0),(9,3))

        else:
            logo()
            rgb.text(left(str(last),6), (255,255,255),(9,3))    
    time.sleep(30)